Subject: RE: [Vim-vms] Vim 6.2 crash

From: Arpadffy Zoltan <[email-masked]>
Date: Wed, 14 Jan 2004 09:31:24 +0100

hi,

VMS had problems with regex and filenames regarding syntax earlier as well,
that had been corrected (or at least made an attempt to correct) somewhere
in 6.1 level.

If you have time I would suggest you to trace/debug the code. 
I will not have time during next few weeks, but later on I can take care
about it.

Regards, 
Z

-----Original Message-----
From: Coen Engelbarts [mailto:[email-masked]]
Sent: den 13 januari 2004 16:47
To: [email-masked]; Vim development mailing list
Subject: [Vim-vms] Vim 6.2 crash

Hi all,

For the vim-dev readers:
Does the file name expansion use vim's regexp code?
Can you tell me which function or source file does the file name expansion?

That's rather direct, but I'm a bit worried that you will all stop 
reading after the word "VMS" ;-)

I think I found a new bug in vim/VMS 6.2.106 (I use the downloaded
binary from http://www.polarfox.com/vim/).
The following actions consistently crash vim:
In the VIM directory, start vim and type:
     :n syntax/<CTRL-D>
For a few moments the prompt will show
     :n syntax/...
and finally
     :n \[.syntax]2html.vim
If you now press <CTRL-D> or <TAB>, vim will crash:
     Vim: Caught deadly signal BUS

     Vim: Finished.

In short, the command:
     :n \[.syntax]<CTRL-D>
crashes vim on VMS.

I do not understand how/why/where vim inserts the '\' before the '[' and 
not before the ']'. I don't think that vim needs it to understand VMS 
path names.
AFAIK, escaping '[' to '\[' is only necessary in regular expressions. 
Does the file name expansion use vim's regexp code?

The function vms_unix_mixed_filespec() in os_vms.c expands pathnames 
from Unix to VMS format, but it does not seem to insert a '\'.
The line
     *out++ = '[';	    /* Yes, denote a Vms subdirectory */
looked suspicious to me, but I think the *out++ should correctly write 
'[' before incrementing 'out' (see e.g. 
http://www.eskimo.com/~scs/C-faq/q4.3.html)

Does anybody know what's happening?

Thanks in advance,

Coen

_______________________________________________
Vim-vms mailing list
[email-masked]
http://www.polarhome.com/mailman/listinfo/vim-vms